# H323_T120Capability Class Reference

`#include <h323t120.h>`

Inheritance diagram for H323_T120Capability:

[legend]
Collaboration diagram for H323_T120Capability:
[legend]

## Public Member Functions

Construction
| H323_T120Capability ()
Overrides from class PObject
virtual PObject * | Clone () const
Identification functions
virtual unsigned | GetSubType () const
virtual PString | GetFormatName () const
Operations
virtual H323Channel * | CreateChannel (H323Connection &connection, H323Channel::Directions dir, unsigned sessionID, const H245_H2250LogicalChannelParameters *param) const
Protocol manipulation
virtual PBoolean | OnSendingPDU (H245_DataApplicationCapability &pdu) const
virtual PBoolean | OnSendingPDU (H245_DataMode &pdu) const
virtual PBoolean | OnSendingPDU (H245_DataProtocolCapability &pdu) const
virtual PBoolean | OnReceivedPDU (const H245_DataApplicationCapability &pdu)
Member access
PBoolean | GetDynamicPortCapability () const
void | SetDynamicPortCapability (PBoolean dynamic)

## Protected Attributes

PBoolean | dynamicPortCapability

## Detailed Description

This class describes the T.120 logical channel.

## Constructor & Destructor Documentation

H323_T120Capability::H323_T120Capability | ( |  | ) |

Create capability.

## Member Function Documentation

virtual PObject* H323_T120Capability::Clone | ( |  | ) | const`[virtual]`

Create a copy of the object.

virtual H323Channel* H323_T120Capability::CreateChannel | ( | H323Connection & | connection,
|  | H323Channel::Directions | dir,
|  | unsigned | sessionID,
|  | const H245_H2250LogicalChannelParameters * | param |
| ) |  |  | const`[virtual]`

Create the channel instance, allocating resources as required.

Parameters:

  connection | Owner connection for channel
  dir | Direction of channel
  sessionID | Session ID for RTP channel
  param | Parameters for channel

Implements H323Capability.

PBoolean H323_T120Capability::GetDynamicPortCapability | ( |  | ) | const`[inline]`

Get the dynamic port capability. Indicates endpoint can use something other than port 1503.

virtual PString H323_T120Capability::GetFormatName | ( |  | ) | const`[virtual]`

Get the name of the media data format this class represents.

Implements H323Capability.

virtual unsigned H323_T120Capability::GetSubType | ( |  | ) | const`[virtual]`

Get the sub-type of the capability. This is a code dependent on the main type of the capability.

This returns the e_t120 enum value from the protocol ASN H245_DataApplicationCapability_application class.

Implements H323Capability.

virtual PBoolean H323_T120Capability::OnReceivedPDU | ( | const H245_DataApplicationCapability & | pdu | ) | `[virtual]`

This function is called whenever and incoming TerminalCapabilitySet or OpenLogicalChannel PDU has been used to construct the control channel. It allows the capability to set from the PDU fields, information in members specific to the class.

The default behaviour gets the data rate field from the PDU.

Parameters:

  pdu | PDU to set information on

Reimplemented from H323DataCapability.

virtual PBoolean H323_T120Capability::OnSendingPDU | ( | H245_DataProtocolCapability & | pdu | ) | const`[virtual]`

This function is called whenever and outgoing PDU is being constructed for the control channel. It allows the capability to set the PDU fields from information in members specific to the class.

The default behaviour sets separate LAN stack.

Parameters:

  pdu | PDU to set information on

virtual PBoolean H323_T120Capability::OnSendingPDU | ( | H245_DataMode & | pdu | ) | const`[virtual]`

This function is called whenever and outgoing RequestMode PDU is being constructed for the control channel. It allows the capability to set the PDU fields from information in members specific to the class.

The default behaviour sets the pdu and calls OnSendingPDU with a H245_DataProtocolCapability parameter.

Parameters:

  pdu | PDU to set information on

Implements H323DataCapability.

virtual PBoolean H323_T120Capability::OnSendingPDU | ( | H245_DataApplicationCapability & | pdu | ) | const`[virtual]`

This function is called whenever and outgoing TerminalCapabilitySet or OpenLogicalChannel PDU is being constructed for the control channel. It allows the capability to set the PDU fields from information in members specific to the class.

The default behaviour sets the pdu and calls OnSendingPDU with a H245_DataProtocolCapability parameter.

Reimplemented from H323DataCapability.

void H323_T120Capability::SetDynamicPortCapability | ( | PBoolean | dynamic | ) | `[inline]`

Set the dynamic port capability. Indicates endpoint can use something other than port 1503.

## Field Documentation

PBoolean H323_T120Capability::dynamicPortCapability `[protected]`

The documentation for this class was generated from the following file:

- h323t120.h